Bug 1470604 - Rebase to version 2.0+
Rebase to version 2.0+
Status: CLOSED DUPLICATE of bug 1332354
Product: Fedora
Classification: Fedora
Component: opendnssec (Show other bugs)
rawhide
Unspecified Unspecified
high Severity unspecified
: ---
: ---
Assigned To: Paul Wouters
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 1470606
  Show dependency treegraph
 
Reported: 2017-07-13 05:53 EDT by Martin Bašti
Modified: 2017-12-12 13:17 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
: 1470606 (view as bug list)
Environment:
Last Closed: 2017-12-12 13:17:36 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Martin Bašti 2017-07-13 05:53:56 EDT
Description of problem:

To be up to date with upstream, FreeIPA needs newer opendnessec packages (ubuntu already has newer version). Because older and newer version of opendnssec packages are incompatible and it requires change in FreeIPA code, we would like to avoid hacking code for both versions and continue only with the recent opendnssec versions.


Thanks
Comment 1 Martin Bašti 2017-07-27 04:00:34 EDT
Hello, please note that in upstream OpenDNSSEC release an option `AllowExtraction` was accidentally removed  which is needed by FreeIPA.

https://lists.opendnssec.org/pipermail/opendnssec-user/2017-July/004088.html

We may need to patch Fedora's downstream package in case that new upstream release will not be available soon.
Comment 2 Jan Kurik 2017-08-15 04:32:29 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 27 development cycle.
Changing version to '27'.
Comment 3 Christian Heimes 2017-12-12 06:46:55 EST
Any updates?

The lack of OpenDNSSEC 2.0 in Fedora is blocking FreeIPA development, https://github.com/freeipa/freeipa/pull/920 . Please consider OpenDNSSEC 2.0 for Fedora 28. I have changed the version to rawhide again.
Comment 4 Christian Heimes 2017-12-12 07:20:45 EST
I opened https://src.fedoraproject.org/rpms/opendnssec/pull-request/1 to get things started. The changes are untested and I haven't figured out DB migration from 1.4 to 2.0.
Comment 5 Paul Wouters 2017-12-12 13:17:36 EST

*** This bug has been marked as a duplicate of bug 1332354 ***

Note You need to log in before you can comment on or make changes to this bug.